OGRE: Ogre::LodCollapseCost Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodCollapseCost Class Referenceabstract
Optional Components » MeshLodGenerator

`#include <OgreLodCollapseCost.h>`

Inheritance diagram for Ogre::LodCollapseCost:
[legend]

## Public Member Functions
| LodCollapseCost ()
virtual | ~LodCollapseCost ()
virtual Real | computeEdgeCollapseCost (LodData *data, LodData::Vertex *src, LodData::Edge *dstEdge)=0
| Returns the collapse cost of the given edge.
virtual void | computeVertexCollapseCost (LodData *data, LodData::Vertex *vertex, Real &collapseCost, LodData::Vertex *&collapseTo)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.
virtual void | initCollapseCosts (LodData *data)
| This is called after the LodInputProvider has initialized LodData.
virtual void | initVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called from initCollapseCosts for every edge.
void | setPreventBreakingLines (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a line.
void | setPreventPunchingHoles (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a triangle.
virtual void | updateVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called when edge cost gets invalid.

## Constructor & Destructor Documentation

## ◆ LodCollapseCost()

Ogre::LodCollapseCost::LodCollapseCost | ( |  | ) |
| inline

## ◆ ~LodCollapseCost()

virtual Ogre::LodCollapseCost::~LodCollapseCost | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ initCollapseCosts()

virtual void Ogre::LodCollapseCost::initCollapseCosts | ( | LodData * | data | ) |
| virtual

This is called after the LodInputProvider has initialized LodData.

Reimplemented in Ogre::LodCollapseCostOutside, Ogre::LodCollapseCostProfiler, and Ogre::LodCollapseCostQuadric.

## ◆ initVertexCollapseCost()

virtual void Ogre::LodCollapseCost::initVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex )
| virtual

Called from initCollapseCosts for every edge.

## ◆ updateVertexCollapseCost()

virtual void Ogre::LodCollapseCost::updateVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex )
| virtual

Called when edge cost gets invalid.

Reimplemented in Ogre::LodCollapseCostQuadric.

## ◆ computeVertexCollapseCost()

virtual void Ogre::LodCollapseCost::computeVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex,
|  | Real & | collapseCost,
|  | LodData::Vertex *& | collapseTo )
| virtual

Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.

Reimplemented in Ogre::LodCollapseCostProfiler.

## ◆ computeEdgeCollapseCost()

virtual Real Ogre::LodCollapseCost::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | src,
|  | LodData::Edge * | dstEdge )
| pure virtual

Returns the collapse cost of the given edge.

Implemented in Ogre::LodCollapseCostCurvature, Ogre::LodCollapseCostOutside, Ogre::LodCollapseCostProfiler, and Ogre::LodCollapseCostQuadric.

## ◆ setPreventPunchingHoles()

void Ogre::LodCollapseCost::setPreventPunchingHoles | ( | bool | prevent | ) |
| inline

Set true to prevent collapsing edges that would result in the destruction of a triangle.

## ◆ setPreventBreakingLines()

void Ogre::LodCollapseCost::setPreventBreakingLines | ( | bool | prevent | ) |
| inline

Set true to prevent collapsing edges that would result in the destruction of a line.

The documentation for this class was generated from the following file:

- OgreLodCollapseCost.h